/**
 * @file
 * Generic base elements.
 */

@import "media-queries.pcss.css";

*,
*:before,
*:after {
  box-sizing: border-box;
}

html {
  font-family: var(--font-sans);
  font-size: 110%;
  font-weight: normal;
  font-style: normal;
  line-height: var(--line-height-base);
}

body {
  margin: 0;
  color: var(--color--primary);
  background-color: var(--h4c-olive--page-bg-color);
  background-position: top left; /* LTR */

  &.is-fixed {
    position: fixed;
    overflow: hidden;
    width: 100%;
  }
}

[dir="rtl"] body {
  background-position: top right;
}

a {
  color: var(--color--primary);
  text-decoration: none; /* Changes for .text-content */

  &:hover {
    opacity: 0.8;
  }

  &:focus {
    outline: solid 2px currentColor;
    outline-offset: 2px;
  }
}

p {
  margin: 0; /* Changes for .text-content */
}

button {
  font-family: inherit;
}

img,
video {
  display: block;
  max-width: 100%;
  height: auto;
}

audio {
  display: block;
  max-width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin-block: 0; /* var(--sp); */
  color: var(--color--primary);
  font-family: var(--font-sans);
  font-weight: 500;

  /*@media (--md) {
    margin-block: var(--sp2);
  }*/
}

h1 {
  letter-spacing: -0.01em;
  font-size: 29px;
  line-height: var(--sp2);
  padding-bottom: calc(var(--box-padding)/4);

  @media (--md) {
    font-size: 40px;
    line-height: 50px;
    font-weight: 600;
  }
}

h2 {
  letter-spacing: -0.01em;
  font-size: 24px;
  line-height: var(--sp2);

  @media (--md) {
    font-size: 32px;
    line-height: 36px;
  }
}

h3 {
  font-size: 20px;
  line-height: var(--sp1-5);

  @media (--md) {
    font-size: 24px;
    line-height: 28px;
  }
}

h4 {
  font-size: 18px;
  line-height: var(--sp1-5);
}

h5 {
  font-size: 16px;
  line-height: var(--sp1-5);
}

h6 {
  font-size: 14px;
  line-height: var(--sp);
}


/* Use per component selected color, this would be overridden if it lives inside the component css because how ui_patterns handles css */
.h4c-lb-columns {
  & h2, & h3, & h4, & h5, & h6 {
    color: inherit;
  }
}

ul {
  margin-block-start: 0.25em;
  margin-block-end: 0.25em;
  margin-inline-start: 1.5em;
  margin-inline-end: 0;
  padding-inline-start: 0;
  list-style-type: disc;
  list-style-image: none;
}
